%define enginedir /usr/clearos/sandbox

Name: webconfig-zend-guard-loader
Version: 3.3
Release: 1%dist
Group: Applications/Modules
Summary: Zend Guard Loader for webconfig
Source0: ZendGuardLoader-php-5.3-linux-glibc23-i386.tar.gz
Source1: ZendGuardLoader-php-5.3-linux-glibc23-x86_64.tar.gz
License: Zend
Requires: webconfig-php
Requires(post): initscripts
BuildRoot: /tmp/%{name}-%{version}-build

%description
Zend's loader extension. Decodes PHP scripts encoded by Zend Guard.

%prep
%ifarch x86_64
%setup -q -c -a1
%else
%setup -q -c
%endif
%build

%install
mkdir -p -m 755 $RPM_BUILD_ROOT%{enginedir}%{_libdir}/php/modules
mkdir -p -m 755 $RPM_BUILD_ROOT%{enginedir}%{_sysconfdir}/php.d

cp ZendGuardLoader-php-5.3-linux-glibc23-%{_arch}/php-5.3.x/ZendGuardLoader.so $RPM_BUILD_ROOT%{enginedir}%{_libdir}/php/modules/

echo "zend_extension=%{enginedir}%{_libdir}/php/modules/ZendGuardLoader.so" > $RPM_BUILD_ROOT%{enginedir}%{_sysconfdir}/php.d/zendguardloader.ini
echo "zend_loader.enable=1" >> $RPM_BUILD_ROOT%{enginedir}%{_sysconfdir}/php.d/zendguardloader.ini
echo "zend_loader.disable_licensing=0" >> $RPM_BUILD_ROOT%{enginedir}%{_sysconfdir}/php.d/zendguardloader.ini

%post
/sbin/service webconfig condrestart >/dev/null 2>&1
exit 0

%preun
if [ $1 = 0 ]; then
	/sbin/service webconfig restart >/dev/null 2>&1
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{enginedir}%{_libdir}/php/modules/ZendGuardLoader.so
%{enginedir}%{_sysconfdir}/php.d/zendguardloader.ini
